package com.docus.server;


import cn.hutool.extra.spring.SpringUtil;
import com.docus.server.collection.service.ITBasicService;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import java.util.Properties;


@Slf4j
//@EnableFeignClients(basePackages = ("com.feign"))
//@EnableHystrix
@SpringBootApplication(scanBasePackages = {"com.docus"})
@MapperScan("com.docus.server.**.mapper")
public class AppRunBootstrap {
    public static void main(String[] args) {
        Properties props = System.getProperties();
        props.setProperty("org.apache.cxf.stax.allowInsecureParser", "1");
        props.setProperty("UseSunHttpHandler", "true");
        System.setProperty("javax.xml.parsers.DocumentBuilderFactory", "com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");
        SpringApplication.run(AppRunBootstrap.class, args);
        ITBasicService basicService = SpringUtil.getBean(ITBasicService.class);
        System.out.println(basicService.getIsBabyBasic("039baa8c5a8243fd93ec58a5517b5e6"));
        System.out.println(basicService.getSdRyParentPatientInfo("00048819bea942f590368415d38cf41x"));

    }
}
